Skip to main content
Publicamos actualizaciones para la documentación con frecuencia y es posible que aún se esté traduciendo esta página. Para obtener la información más reciente, consulta la documentación en inglés.

Versiones de API

Debes especificar la versión de la API REST que se va a usar cada vez que se realiza una solicitud a la API REST.

Acerca del control de versiones de la API

La API REST GitHub Enterprise Cloud tiene versiones. El nombre de la versión de la API se basa en la fecha en la que se publicó dicha versión. Por ejemplo, la versión 2022-11-28 de la API se publicó el Mon, 28 Nov 2022.

Todos los cambios importantes se publicarán en una nueva versión de API. Los cambios importantes son cambios que pueden interrumpir una integración. Los cambios importantes incluyen:

  • quitar una operación completa
  • quitar un parámetro o cambiar su nombre
  • quitar un campo de respuesta o cambiar su nombre
  • agregar un nuevo parámetro obligatorio
  • hacer que se requiera un parámetro opcional anteriormente
  • cambiar el tipo de un parámetro o campo de respuesta
  • quitar valores de enumeración
  • agregar una nueva regla de validación a un parámetro existente
  • cambiar los requisitos de autenticación o autorización

Todos los cambios aditivos (no importantes) estarán disponibles en todas las versiones de API admitidas. Los cambios aditivos son cambios que no deben interrumpir una integración. Los cambios aditivos incluyen:

  • agregar una operación
  • agregar un parámetro opcional
  • agregar un encabezado de solicitud opcional
  • agregar un campo de respuesta
  • agregar un campo de respuesta
  • agregar valores de enumeración

Cuando se publica una nueva versión de la API REST, la versión anterior de la API se admitirá durante al menos 24 meses más después del lanzamiento de la nueva versión de la API.

Especificación de una versión de API

Debes usar el encabezado X-GitHub-Api-Version para especificar una versión de API. Por ejemplo:

$ curl --encabezado "X-GitHub-Api-Version:2022-11-28" https://api.github.com/zen

Las solicitudes sin el encabezado X-GitHub-Api-Version usarán la versión 2022-11-28 de forma predeterminada.

Si especificas una versión de API que ya no se admite, recibirás un error 400.

Actualización a una nueva versión de API

Antes de actualizar a una nueva versión de la API REST, debes leer el registro de cambios de los cambios importantes que corresponde a la nueva versión de API para comprender qué cambios importantes se incluyen y para obtener más información sobre cómo actualizar a esa versión específica de API. Para más información, consulta "Cambios importantes".

Al actualizar la integración para especificar la nueva versión de API en el encabezado X-GitHub-Api-Version, también deberás realizar los cambios necesarios para que la integración funcione con la nueva versión de API.

Una vez actualizada la integración, pruébala para comprobar que funciona con la nueva versión de API.

Versiones de API admitidas

Actualmente se admiten las siguientes versiones de la API REST:

2022-11-28

También puedes realizar una solicitud de API para obtener todas las versiones de la API admitidas. Para más información, consulta "Obtener todas las versiones de API".